# SectionIntRestrict

Restricts the SectionInt to a subset of the topology, returning an array of values.

### Synopsis

    #include "petscmesh.h"
    PetscErrorCode PETSCDM_DLLEXPORT SectionIntRestrict(SectionInt section, PetscInt point, PetscInt *values[])

Not collective

### Input Parameters

| section | - the section object
| point | - the Sieve point

### Output Parameter

values -The values associated with the submesh

### See Also

SectionIntUpdate(), SectionIntCreate(), SectionIntView()

Level:advanced
Location:src/dm/mesh/section.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages